Page MenuHomePhabricator

Notifications with no primary link do not get the correct text color
Closed, ResolvedPublic

Description

When I open the notification fly-out menu, all read notifcations are displayed as they should be (light grey background on dark grey text), except of the Welcome and E-Mail notifications displayed, where the text is black instead of dark grey.

  • Details

    Related Gerrit Patches:
    mediawiki/extensions/Echo : masterSet text color on header directly, not on <a>

    Event Timeline

    MGChecker raised the priority of this task from to Needs Triage.
    MGChecker updated the task description. (Show Details)
    MGChecker added a project: Notifications.
    MGChecker added subscribers: MGChecker, Aklapper, Luke081515.
    Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 15 2016, 6:00 PM
    Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript

    Could you add a screenshot?

    MGChecker renamed this task from Read E-Mail notifcation isn't displayed correctly to Read E-Mail and Welcome notifcations aren't displayed correctly.Jan 17 2016, 11:10 AM
    MGChecker updated the task description. (Show Details)

    For Welcome notifcations it's the same.

    Ha! Good catch. This happens in cases where there is no primary link.

    Catrope renamed this task from Read E-Mail and Welcome notifcations aren't displayed correctly to Notifications with no primary link do not get the correct text color.Jan 19 2016, 2:20 AM

    Change 264913 had a related patch set uploaded (by Catrope):
    Set text color on header directly, not on <a>

    https://gerrit.wikimedia.org/r/264913

    Change 264913 merged by jenkins-bot:
    Set text color on header directly, not on <a>

    https://gerrit.wikimedia.org/r/264913

    Checked the fix in betalabs -both E-ail and Welcome notifications are displayed grey in the Notifications flyout.

    jmatazzoni closed this task as Resolved.Feb 17 2016, 12:54 AM